Bug 1021658 - Terms of Service Acceptance Page first time user logs in on OSE
Terms of Service Acceptance Page first time user logs in on OSE
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Ashley Hardin
Eric Rich
Vikram Goyal
:
Depends On: 1035472 1059798
Blocks: 1086114
  Show dependency treegraph
 
Reported: 2013-10-21 14:06 EDT by Ricardo Martinelli de Oliveira
Modified: 2016-06-10 17:08 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 17:08:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricardo Martinelli de Oliveira 2013-10-21 14:06:44 EDT
1. Proposed title of this feature request
Terms of Service Acceptance Page first time user logs in on OSE

2. Who is the customer behind the request?
Account name: RED HAT IT/IS
Customer segment: 3
TAM/SRM customer: yes, SRM/TAM customer
Strategic Customer yes/no: yes

3. What is the nature and description of the request?
In IT's Openshift Enterprise instance, because any kerberized user can just login and create an app, there is no way to get the user to agree to terms of service. So where a brand new user before they can get to the console, agrees to some customizable ToS against Openshift Enterprise service being provided by a given company.

4. Why does the customer need this? (List the business requirements here)
Needed to make users aware of the ToS being provided by a given company.


5. How would the customer like to achieve this? (List the functional
requirements here)
n/a

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
Create a new user and check if it is presented to that user the ToS

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
No

8. Does the customer have any specific timeline dependencies?
As soon as possible

9. Is the sales team involved in this request and do they have any additional input?
No

10. List any affected packages or components.
Unsure

11. Would the customer be able to assist in testing this functionality if
implemented?
Yes
Comment 3 Anderson Silva 2016-01-27 21:42:54 EST
I think this is still a very important feature for an enterprise deployment. Even at Red Hat IT, we would like to be able to set some ground rules to our users before they "blindly" start deploying gears/images to openshift. I don't think it is a blocker or a deal breaker, but definitely a "nice to have" for companies who want to set some guidelines for their users. A customizable ToS page before deploying your first app would be nice.
Comment 7 Jessica Forrester 2016-04-13 10:51:11 EDT
You don't need any custom authentication to do something that would be presented to users whenever they want to log into openshift.  You can force a page to appear (login provider selection page) that is fully customizable https://docs.openshift.org/latest/install_config/web_console_customization.html#customizing-the-login-page

This page appears before redirecting to whatever authentication mechanism you are using (so before it redirects to the redhat internal SAML auth)
You could have a big "Log In" button and underneath a disclaimer saying by logging in you accept the terms of service.

We are doing this for openshift online dev preview to have a link to register, some openshift branding, etc, before being redirected to github auth.
Comment 12 Ashley Hardin 2016-05-24 16:17:38 EDT
Work in progress: https://github.com/openshift/openshift-docs/pull/2144
Comment 13 openshift-github-bot 2016-06-02 17:14:10 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/40bfc0e57158e4285b90aae98ded7f41abf1e935
Bug 1021658, added that the custom login page pops up when users' tokens expire

https://github.com/openshift/openshift-docs/commit/4acf12e924f9eefe89eb322c6c1cb74a438b83ca
Merge pull request #2144 from ahardin-rh/custom-login

Bug 1021658, a custom login page pops up when users' tokens expire

Note You need to log in before you can comment on or make changes to this bug.